# Class Buffer

java.lang.Object
org.apache.tomcat.jni.Buffer

public class Buffer extends Object
Provides utilities related to the use of directly allocated `ByteBuffer` instances with native code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `address(ByteBuffer buf)`
  Returns the memory address of the ByteBuffer.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### address

    public static long address(ByteBuffer buf)
    Returns the memory address of the ByteBuffer.
    Parameters:
      `buf` - Previously allocated ByteBuffer.
    Returns:
      the memory address